### File

`src/app/problem.ts`

### Index

###### Properties

- code
- details
- difficulty
- id
- n_attempts
- n_correct
- n_testcases
- problem_statement
- title

### Properties

code
`code: `string[]``
Type : `string[]`

details
`details: `string``
Type : `string`

difficulty
`difficulty: `number``
Type : `number`

id
`id: `number``
Type : `number`

n_attempts
`n_attempts: `number``
Type : `number`

n_correct
`n_correct: `number``
Type : `number`

n_testcases
`n_testcases: `number[]``
Type : `number[]`

problem_statement
`problem_statement: `string``
Type : `string`

title
`title: `string``
Type : `string`

    export interface Problem {
      id: number;
      title: string;
      details: string;
      difficulty: number;
      n_attempts: number;
      n_correct: number;
      problem_statement: string;
      code: string[];
      n_testcases: number[];
    }

# result-matching ""

# No results matching ""